#!/usr/bin/perl
## LeafPicker.pl tree.newick n18 > out_nwk
##   or
## LeafPicker.pl tree.nhx n18 > out_nhx

use strict;
use warnings;
use Bio::TreeIO;


my $format = "nhx";

my $treeFile = "$ARGV[0]";
my $nodeName = "$ARGV[1]";


my $treeio = Bio::TreeIO->new(-file => "$treeFile",
			                -format => "$format");
			                
if( my $tree = $treeio->next_tree ) {
    my $node = $tree -> find_node(-id => "$nodeName");
    print $node->id, " each_Descendent\n";
    for my $child ( $node->each_Descendent ) {
    print $child->id, "\n";
  }
  print "\n",$node->id, " get_all_Descendents\n";
  for my $child ( $node->get_all_Descendents ) {
  print $child->id, "\n";
  }
}

exit;